Announcement

Join us on Discord: https://discord.gg/nf43FxS
CDNGamma
Member
+1|5508
OK heres my problem now... i bought BF2:SF and installed it...then after install i started the game i got the following error

mod/bf2/shaders/lighting.FX Not Found! Do_Check your working dictionary_and_sync your shaders folder before calling your local rendering programmer/GP. (really!)

so i found out how to fix this problem by copying and pasting the Lighting.fx and rain.fx files from the Ea Games\ Battlefield 2 \ mods \ bf2\ shaders_client.zip folder into the EA games \ Battlefield 2 \ mods \ shaders foder....

now the game DID start and run in single player but then i go to multiplayer and can't play anyservers becasue it says i can't use a modded version of the game....i just copy/pasted 2 files...FFS

IF ANYONE can let me know how to fix this problem so i CAN play online with no problems I'm all ears..please..please...please...

Also..should i not have the upgraded sniper rifle....with SF i have everything but sniper and Anti Tanks upgrade...weird?????!!!???
RoosterCantrell
Goodbye :)
+399|5605|Somewhere else

uninstall reinstall, make sure you patched to 1.4 after installing SF?
CDNGamma
Member
+1|5508
wtf???
CDNGamma
Member
+1|5508
LOl sorry i didn't see the actual post i was reading your SIG thought it was the reply..haha


WELL i did unistall/Re-install already and i have patch 1.4 for BF2 (orignal) just it comes up with that damn error all the time so i had to copy/paste files for it to actually start up...but i can't play online becasue its "modded"
signa
~~~~~
+50|5854|Michigan, USA
After installing SF, patch to 1.4 using the FULL 1.4 installer, not the smaller patch. that solves the shader problems.
CDNGamma
Member
+1|5508
what if I ALREADY have patch downloaded....do i have to re-download full 1.4 patch... becasue i downloaded it when i re-loaded BF2 on this computer then bought BF:SF...so i must download full patch again?

WHY CAN'T THIS BE SIMPLE!!!?? hahahahah
signa
~~~~~
+50|5854|Michigan, USA
a lot of times the smaller 1.3 > 1.4 patch gives the shader bug errors. if you download the full 1.4 installer (531mb) and use that, it usually solves the problem.
Todd_Angelo
Leukocyte
+336|5752|Warlord

CDNGamma wrote:

what if I ALREADY have patch downloaded....
Well if you already have the full patch obviously you don't need to download it again, you just need to run it again.

If you ever need to reinstall BF2 in future just remember the order: BF2, SF, full patch.
CDNGamma
Member
+1|5508
Sweet it Worked thanks all for the help.. i appricate it greatly
Locoloki
I got Mug 222 at Gritty's!!!!
+216|5765|Your moms bedroom
when you download SF, it automatically reverts to patch 1.1, you gotta repatch that shit ( i know it sucks) i had to uninstall SF, re-download it, then re-download the entire 1.4 patch, yeah so thats like 1.5 Gigs of downloading in an hour and a half
}<enzai
Member
+7|5698|UK
Ooh im havuing a similair problem, so can i just re-run all of the patches and it will be ok?
Snake
Missing, Presumed Dead
+1,046|5691|England

Err...just follow this thread.

The problem is, is that SF was released during patch 1.1, so the install program for SF still has v1.1 (theyve never updated the SF install files on newly created CD's with the latest patches).
So, you will need to repatch to 1.41.

So,
1) Install BF2
2) Install SF
3) And EF/AF if you have them
4) Repatch to 1.4 FULL (now 1.41 FULL since this topic started).

Board footer

Privacy Policy - © 2021 Jeff Minard